Bug 235474 - [exp-run] devel/py-setuptools: Update to 40.8.0
Summary: [exp-run] devel/py-setuptools: Update to 40.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-04 00:15 UTC by Po-Chuan Hsieh
Modified: 2019-02-10 00:13 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (python)
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chuan Hsieh freebsd_committer 2019-02-04 00:15:20 UTC
Update to 40.7.2

Changes:        https://github.com/pypa/setuptools/blob/master/CHANGES.rst
Comment 1 Po-Chuan Hsieh freebsd_committer 2019-02-05 11:42:49 UTC
Here's the updated patch for 40.7.3 which fixes a bug in package_index.
Comment 2 Po-Chuan Hsieh freebsd_committer 2019-02-06 17:51:54 UTC
If the exp-run does not start yet, please use the new patch (40.8.0). Thanks.
Comment 3 Antoine Brodin freebsd_committer 2019-02-07 07:03:44 UTC
New failures with setuptools 40.7.0:

+ {"origin"=>"devel/py-cbor2", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"net/py-ldap0", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"www/moinmoin", "phase"=>"configure", "errortype"=>"???"}

New failure logs:

http://package22.nyi.freebsd.org/data/112amd64-default-PR235259PR235474PR235507/2019-02-05_16h51m55s/logs/errors/py27-cbor2-4.1.2.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235259PR235474PR235507/2019-02-05_16h51m55s/logs/errors/py27-ldap0-0.0.60_1.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235259PR235474PR235507/2019-02-05_16h51m55s/logs/errors/moinmoin-1.9.10.log
Comment 4 Po-Chuan Hsieh freebsd_committer 2019-02-08 20:22:20 UTC
Here's the updated patch for py-setuptools 4.8.0 and fixes for the above ports.
Comment 5 Po-Chuan Hsieh freebsd_committer 2019-02-08 21:27:51 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #4)

It should be py-setuptools 40.8.0.
Comment 6 Antoine Brodin freebsd_committer 2019-02-09 08:55:42 UTC
Exp-run looks fine
Comment 7 commit-hook freebsd_committer 2019-02-10 00:10:35 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Feb 10 00:08:38 UTC 2019
New revision: 492575
URL: https://svnweb.freebsd.org/changeset/ports/492575

Log:
  Update to 40.8.0

  Changes:	https://github.com/pypa/setuptools/blob/master/CHANGES.rst
  PR:		235474
  Exp-run by:	antoine

Changes:
  head/devel/py-cbor2/Makefile
  head/devel/py-setuptools/Makefile
  head/devel/py-setuptools/distinfo
  head/net/py-ldap0/Makefile
  head/www/moinmoin/files/patch-setup.cfg
Comment 8 Po-Chuan Hsieh freebsd_committer 2019-02-10 00:13:34 UTC
Committed. Thanks!